import java.awt.Component;
import java.util.Arrays;

public class Class206 {

   static final int anInt2423 = 4;
   int anInt2424 = 0;
   boolean aBool2425 = true;
   static int anInt2426;
   static Class203 aClass203_2427;
   static boolean aBool2428 = false;
   int anInt2429;
   int[] anIntArray2430;
   boolean aBool2431 = false;
   Class225_Sub12 aClass225_Sub12_2432;
   public static final int anInt2433 = 256;
   long aLong2434 = Class339.method6240(1621530760);
   int anInt2435;
   int anInt2436;
   public static int anInt2437;
   long aLong2438 = 0L;
   static final int anInt2439 = 16384;
   int anInt2440 = 0;
   public static boolean aBool2441;
   int anInt2442 = 32;
   static final int anInt2443 = 3;
   int anInt2444 = 0;
   static final int anInt2445 = 8;
   static final int anInt2446 = 2;
   long aLong2447 = 0L;
   static final int anInt2448 = 286331153;
   int anInt2449 = 0;
   Class225_Sub12[] aClass225_Sub12Array2450 = new Class225_Sub12[8];
   Class225_Sub12[] aClass225_Sub12Array2451 = new Class225_Sub12[8];


   public final synchronized void method3479() {
      this.aBool2425 = true;

      try {
         this.method3519();
      } catch (Exception var2) {
         this.method3495(false);
         this.aLong2438 = Class339.method6240(1369145239) + 2000L;
      }

   }

   public static final void method3480(int var0, boolean var1, int var2) {
      if(var0 >= 8000 && var0 <= '\ubb80') {
         anInt2437 = var0;
         aBool2441 = var1;
         anInt2426 = var2;
      } else {
         throw new IllegalArgumentException();
      }
   }

   public static final Class206 method3481(Component var0, int var1, int var2) {
      if(anInt2437 == 0) {
         throw new IllegalStateException();
      } else if(var1 >= 0 && var1 < 2) {
         int var3 = var2;
         if(var2 < 256) {
            var3 = 256;
         }

         if(!aBool2428) {
            try {
               Class206_Sub1 var4 = new Class206_Sub1();
               var4.anIntArray2430 = new int[256 * (aBool2441?2:1)];
               var4.anInt2436 = var3;
               var4.method3526(var0);
               var4.anInt2435 = (var3 & -1024) + 1024;
               if(var4.anInt2435 > 16384) {
                  var4.anInt2435 = 16384;
               }

               var4.method3492(var4.anInt2435);
               if(anInt2426 > 0 && aClass203_2427 == null) {
                  aClass203_2427 = new Class203_Sub1();
                  Thread var5 = new Thread(aClass203_2427);
                  var5.setDaemon(true);
                  var5.start();
                  var5.setPriority(anInt2426);
               }

               if(aClass203_2427 != null) {
                  if(aClass203_2427.aClass206Array2411[var1] != null) {
                     throw new IllegalArgumentException();
                  }

                  aClass203_2427.aClass206Array2411[var1] = var4;
               }

               return var4;
            } catch (Throwable var6) {
               ;
            }
         }

         return new Class206();
      } else {
         throw new IllegalArgumentException();
      }
   }

   public final synchronized void method3482(Class225_Sub12 var1) {
      this.aClass225_Sub12_2432 = var1;
   }

   public final synchronized void method3483() {
      if(!this.aBool2431) {
         long var1 = Class339.method6240(1535245049);

         try {
            if(var1 > this.aLong2434 + 6000L) {
               this.aLong2434 = var1 - 6000L;
            }

            while(var1 > this.aLong2434 + 5000L) {
               this.method3506(256);
               this.aLong2434 += (long)(256000 / anInt2437);
               var1 = Class339.method6240(-1511815255);
            }
         } catch (Exception var6) {
            this.aLong2434 = var1;
         }

         if(this.anIntArray2430 != null) {
            try {
               if(this.aLong2438 != 0L) {
                  if(var1 < this.aLong2438) {
                     return;
                  }

                  this.method3492(this.anInt2435);
                  this.aLong2438 = 0L;
                  this.aBool2425 = true;
               }

               int var3 = this.method3493();
               if(this.anInt2424 - var3 > this.anInt2444) {
                  this.anInt2444 = this.anInt2424 - var3;
               }

               int var4 = this.anInt2436 + this.anInt2429;
               if(var4 + 256 > 16384) {
                  var4 = 16128;
               }

               if(var4 + 256 > this.anInt2435) {
                  this.anInt2435 += 1024;
                  if(this.anInt2435 > 16384) {
                     this.anInt2435 = 16384;
                  }

                  this.method3495(false);
                  this.method3492(this.anInt2435);
                  var3 = 0;
                  this.aBool2425 = true;
                  if(var4 + 256 > this.anInt2435) {
                     var4 = this.anInt2435 - 256;
                     this.anInt2429 = var4 - this.anInt2436;
                  }
               }

               while(var3 < var4) {
                  this.method3485(this.anIntArray2430, 256);
                  this.method3494();
                  var3 += 256;
               }

               if(var1 > this.aLong2447) {
                  if(!this.aBool2425) {
                     if(this.anInt2444 == 0 && this.anInt2440 == 0) {
                        this.method3495(false);
                        this.aLong2438 = var1 + 2000L;
                        return;
                     }

                     this.anInt2429 = Math.min(this.anInt2440, this.anInt2444);
                     this.anInt2440 = this.anInt2444;
                  } else {
                     this.aBool2425 = false;
                  }

                  this.anInt2444 = 0;
                  this.aLong2447 = var1 + 2000L;
               }

               this.anInt2424 = var3;
            } catch (Exception var5) {
               this.method3495(false);
               this.aLong2438 = var1 + 2000L;
            }

         }
      }
   }

   static final void method3484(Class225_Sub12 var0) {
      var0.aBool8536 = false;
      if(var0.aClass225_Sub26_8537 != null) {
         var0.aClass225_Sub26_8537.anInt8631 = 0;
      }

      for(Class225_Sub12 var1 = var0.method13566(); var1 != null; var1 = var0.method13582()) {
         method3490(var1);
      }

   }

   final void method3485(int[] var1, int var2) {
      int var3 = var2;
      if(aBool2441) {
         var3 = var2 << 1;
      }

      Arrays.fill(var1, 0, var3, 0);
      this.anInt2449 -= var2;
      if(this.aClass225_Sub12_2432 != null && this.anInt2449 <= 0) {
         this.anInt2449 += anInt2437 >> 4;
         method3490(this.aClass225_Sub12_2432);
         this.method3524(this.aClass225_Sub12_2432, this.aClass225_Sub12_2432.method13564());
         int var4 = 0;
         int var5 = 255;

         int var6;
         Class225_Sub12 var10;
         label98:
         for(var6 = 7; var5 != 0; --var6) {
            int var7;
            int var8;
            if(var6 < 0) {
               var7 = var6 & 3;
               var8 = -(var6 >> 2);
            } else {
               var7 = var6;
               var8 = 0;
            }

            for(int var9 = var5 >>> var7 & 286331153; var9 != 0; var9 >>>= 4) {
               if((var9 & 1) != 0) {
                  var5 &= ~(1 << var7);
                  var10 = null;
                  Class225_Sub12 var11 = this.aClass225_Sub12Array2450[var7];

                  while(var11 != null) {
                     Class225_Sub26 var12 = var11.aClass225_Sub26_8537;
                     if(var12 != null && var12.anInt8631 > var8) {
                        var5 |= 1 << var7;
                        var10 = var11;
                        var11 = var11.aClass225_Sub12_8535;
                     } else {
                        var11.aBool8536 = true;
                        int var13 = var11.method13567();
                        var4 += var13;
                        if(var12 != null) {
                           var12.anInt8631 += var13;
                        }

                        if(var4 >= this.anInt2442) {
                           break label98;
                        }

                        Class225_Sub12 var14 = var11.method13566();
                        if(var14 != null) {
                           for(int var15 = var11.anInt8538; var14 != null; var14 = var11.method13582()) {
                              this.method3524(var14, var15 * var14.method13564() >> 8);
                           }
                        }

                        Class225_Sub12 var18 = var11.aClass225_Sub12_8535;
                        var11.aClass225_Sub12_8535 = null;
                        if(var10 == null) {
                           this.aClass225_Sub12Array2450[var7] = var18;
                        } else {
                           var10.aClass225_Sub12_8535 = var18;
                        }

                        if(var18 == null) {
                           this.aClass225_Sub12Array2451[var7] = var10;
                        }

                        var11 = var18;
                     }
                  }
               }

               var7 += 4;
               ++var8;
            }
         }

         for(var6 = 0; var6 < 8; ++var6) {
            Class225_Sub12 var16 = this.aClass225_Sub12Array2450[var6];
            Class225_Sub12[] var17 = this.aClass225_Sub12Array2450;
            this.aClass225_Sub12Array2451[var6] = null;

            for(var17[var6] = null; var16 != null; var16 = var10) {
               var10 = var16.aClass225_Sub12_8535;
               var16.aClass225_Sub12_8535 = null;
            }
         }
      }

      if(this.anInt2449 < 0) {
         this.anInt2449 = 0;
      }

      if(this.aClass225_Sub12_2432 != null) {
         this.aClass225_Sub12_2432.method13573(var1, 0, var2);
      }

      this.aLong2434 = Class339.method6240(-204706962);
   }

   public static final void method3486(int var0, boolean var1, int var2) {
      if(var0 >= 8000 && var0 <= '\ubb80') {
         anInt2437 = var0;
         aBool2441 = var1;
         anInt2426 = var2;
      } else {
         throw new IllegalArgumentException();
      }
   }

   public final synchronized void method3487(Class225_Sub12 var1) {
      this.aClass225_Sub12_2432 = var1;
   }

   final void method3488(int var1) {
      this.anInt2449 -= var1;
      if(this.anInt2449 < 0) {
         this.anInt2449 = 0;
      }

      if(this.aClass225_Sub12_2432 != null) {
         this.aClass225_Sub12_2432.method13580(var1);
      }

   }

   final void method3489(int[] var1, int var2) {
      int var3 = var2;
      if(aBool2441) {
         var3 = var2 << 1;
      }

      Arrays.fill(var1, 0, var3, 0);
      this.anInt2449 -= var2;
      if(this.aClass225_Sub12_2432 != null && this.anInt2449 <= 0) {
         this.anInt2449 += anInt2437 >> 4;
         method3490(this.aClass225_Sub12_2432);
         this.method3524(this.aClass225_Sub12_2432, this.aClass225_Sub12_2432.method13564());
         int var4 = 0;
         int var5 = 255;

         int var6;
         Class225_Sub12 var10;
         label98:
         for(var6 = 7; var5 != 0; --var6) {
            int var7;
            int var8;
            if(var6 < 0) {
               var7 = var6 & 3;
               var8 = -(var6 >> 2);
            } else {
               var7 = var6;
               var8 = 0;
            }

            for(int var9 = var5 >>> var7 & 286331153; var9 != 0; var9 >>>= 4) {
               if((var9 & 1) != 0) {
                  var5 &= ~(1 << var7);
                  var10 = null;
                  Class225_Sub12 var11 = this.aClass225_Sub12Array2450[var7];

                  while(var11 != null) {
                     Class225_Sub26 var12 = var11.aClass225_Sub26_8537;
                     if(var12 != null && var12.anInt8631 > var8) {
                        var5 |= 1 << var7;
                        var10 = var11;
                        var11 = var11.aClass225_Sub12_8535;
                     } else {
                        var11.aBool8536 = true;
                        int var13 = var11.method13567();
                        var4 += var13;
                        if(var12 != null) {
                           var12.anInt8631 += var13;
                        }

                        if(var4 >= this.anInt2442) {
                           break label98;
                        }

                        Class225_Sub12 var14 = var11.method13566();
                        if(var14 != null) {
                           for(int var15 = var11.anInt8538; var14 != null; var14 = var11.method13582()) {
                              this.method3524(var14, var15 * var14.method13564() >> 8);
                           }
                        }

                        Class225_Sub12 var18 = var11.aClass225_Sub12_8535;
                        var11.aClass225_Sub12_8535 = null;
                        if(var10 == null) {
                           this.aClass225_Sub12Array2450[var7] = var18;
                        } else {
                           var10.aClass225_Sub12_8535 = var18;
                        }

                        if(var18 == null) {
                           this.aClass225_Sub12Array2451[var7] = var10;
                        }

                        var11 = var18;
                     }
                  }
               }

               var7 += 4;
               ++var8;
            }
         }

         for(var6 = 0; var6 < 8; ++var6) {
            Class225_Sub12 var16 = this.aClass225_Sub12Array2450[var6];
            Class225_Sub12[] var17 = this.aClass225_Sub12Array2450;
            this.aClass225_Sub12Array2451[var6] = null;

            for(var17[var6] = null; var16 != null; var16 = var10) {
               var10 = var16.aClass225_Sub12_8535;
               var16.aClass225_Sub12_8535 = null;
            }
         }
      }

      if(this.anInt2449 < 0) {
         this.anInt2449 = 0;
      }

      if(this.aClass225_Sub12_2432 != null) {
         this.aClass225_Sub12_2432.method13573(var1, 0, var2);
      }

      this.aLong2434 = Class339.method6240(430504030);
   }

   static final void method3490(Class225_Sub12 var0) {
      var0.aBool8536 = false;
      if(var0.aClass225_Sub26_8537 != null) {
         var0.aClass225_Sub26_8537.anInt8631 = 0;
      }

      for(Class225_Sub12 var1 = var0.method13566(); var1 != null; var1 = var0.method13582()) {
         method3490(var1);
      }

   }

   void method3491() {
      this.method3497(true);
      this.anIntArray2430 = null;
      this.aBool2431 = true;
      aBool2428 = true;
   }

   void method3492(int var1) throws Exception {}

   int method3493() throws Exception {
      return this.anInt2435;
   }

   void method3494() throws Exception {}

   void method3495(boolean var1) {}

   void method3496(Component var1) throws Exception {}

   final synchronized void method3497(boolean var1) {
      if(aClass203_2427 != null) {
         boolean var2 = true;

         for(int var3 = 0; var3 < 2; ++var3) {
            if(var1 || aClass203_2427.aClass206Array2411[var3] == this) {
               aClass203_2427.aClass206Array2411[var3] = null;
            }

            if(aClass203_2427.aClass206Array2411[var3] != null) {
               var2 = false;
            }
         }

         if(var2) {
            aClass203_2427.aBool2410 = true;

            while(aClass203_2427.aBool2412) {
               Class75.method1619(50L);
            }

            aClass203_2427 = null;
         }
      }

   }

   public static final void method3498(int var0, boolean var1, int var2) {
      if(var0 >= 8000 && var0 <= '\ubb80') {
         anInt2437 = var0;
         aBool2441 = var1;
         anInt2426 = var2;
      } else {
         throw new IllegalArgumentException();
      }
   }

   public final synchronized void method3499() {
      this.method3497(false);
      this.method3495(true);
      this.anIntArray2430 = null;
      this.aBool2431 = true;
   }

   public static final Class206 method3500(Component var0, int var1, int var2) {
      if(anInt2437 == 0) {
         throw new IllegalStateException();
      } else if(var1 >= 0 && var1 < 2) {
         int var3 = var2;
         if(var2 < 256) {
            var3 = 256;
         }

         if(!aBool2428) {
            try {
               Class206_Sub1 var4 = new Class206_Sub1();
               var4.anIntArray2430 = new int[256 * (aBool2441?2:1)];
               var4.anInt2436 = var3;
               var4.method3526(var0);
               var4.anInt2435 = (var3 & -1024) + 1024;
               if(var4.anInt2435 > 16384) {
                  var4.anInt2435 = 16384;
               }

               var4.method3492(var4.anInt2435);
               if(anInt2426 > 0 && aClass203_2427 == null) {
                  aClass203_2427 = new Class203_Sub1();
                  Thread var5 = new Thread(aClass203_2427);
                  var5.setDaemon(true);
                  var5.start();
                  var5.setPriority(anInt2426);
               }

               if(aClass203_2427 != null) {
                  if(aClass203_2427.aClass206Array2411[var1] != null) {
                     throw new IllegalArgumentException();
                  }

                  aClass203_2427.aClass206Array2411[var1] = var4;
               }

               return var4;
            } catch (Throwable var6) {
               ;
            }
         }

         return new Class206();
      } else {
         throw new IllegalArgumentException();
      }
   }

   public final synchronized void method3501() {
      this.aBool2425 = true;

      try {
         this.method3519();
      } catch (Exception var2) {
         this.method3495(false);
         this.aLong2438 = Class339.method6240(-1029079904) + 2000L;
      }

   }

   public final synchronized void method3502(Class225_Sub12 var1) {
      this.aClass225_Sub12_2432 = var1;
   }

   public final synchronized void method3503(Class225_Sub12 var1) {
      this.aClass225_Sub12_2432 = var1;
   }

   public final synchronized void method3504(Class225_Sub12 var1) {
      this.aClass225_Sub12_2432 = var1;
   }

   void method3505() throws Exception {}

   final void method3506(int var1) {
      this.anInt2449 -= var1;
      if(this.anInt2449 < 0) {
         this.anInt2449 = 0;
      }

      if(this.aClass225_Sub12_2432 != null) {
         this.aClass225_Sub12_2432.method13580(var1);
      }

   }

   public final synchronized void method3507() {
      if(!this.aBool2431) {
         long var1 = Class339.method6240(1544951055);

         try {
            if(var1 > this.aLong2434 + 6000L) {
               this.aLong2434 = var1 - 6000L;
            }

            while(var1 > this.aLong2434 + 5000L) {
               this.method3506(256);
               this.aLong2434 += (long)(256000 / anInt2437);
               var1 = Class339.method6240(-1435163163);
            }
         } catch (Exception var6) {
            this.aLong2434 = var1;
         }

         if(this.anIntArray2430 != null) {
            try {
               if(this.aLong2438 != 0L) {
                  if(var1 < this.aLong2438) {
                     return;
                  }

                  this.method3492(this.anInt2435);
                  this.aLong2438 = 0L;
                  this.aBool2425 = true;
               }

               int var3 = this.method3493();
               if(this.anInt2424 - var3 > this.anInt2444) {
                  this.anInt2444 = this.anInt2424 - var3;
               }

               int var4 = this.anInt2436 + this.anInt2429;
               if(var4 + 256 > 16384) {
                  var4 = 16128;
               }

               if(var4 + 256 > this.anInt2435) {
                  this.anInt2435 += 1024;
                  if(this.anInt2435 > 16384) {
                     this.anInt2435 = 16384;
                  }

                  this.method3495(false);
                  this.method3492(this.anInt2435);
                  var3 = 0;
                  this.aBool2425 = true;
                  if(var4 + 256 > this.anInt2435) {
                     var4 = this.anInt2435 - 256;
                     this.anInt2429 = var4 - this.anInt2436;
                  }
               }

               while(var3 < var4) {
                  this.method3485(this.anIntArray2430, 256);
                  this.method3494();
                  var3 += 256;
               }

               if(var1 > this.aLong2447) {
                  if(!this.aBool2425) {
                     if(this.anInt2444 == 0 && this.anInt2440 == 0) {
                        this.method3495(false);
                        this.aLong2438 = var1 + 2000L;
                        return;
                     }

                     this.anInt2429 = Math.min(this.anInt2440, this.anInt2444);
                     this.anInt2440 = this.anInt2444;
                  } else {
                     this.aBool2425 = false;
                  }

                  this.anInt2444 = 0;
                  this.aLong2447 = var1 + 2000L;
               }

               this.anInt2424 = var3;
            } catch (Exception var5) {
               this.method3495(false);
               this.aLong2438 = var1 + 2000L;
            }

         }
      }
   }

   public final synchronized void method3508() {
      this.aBool2425 = true;

      try {
         this.method3519();
      } catch (Exception var2) {
         this.method3495(false);
         this.aLong2438 = Class339.method6240(-1171007718) + 2000L;
      }

   }

   public final synchronized void method3509() {
      this.aBool2425 = true;

      try {
         this.method3519();
      } catch (Exception var2) {
         this.method3495(false);
         this.aLong2438 = Class339.method6240(-1003559582) + 2000L;
      }

   }

   public final synchronized void method3510() {
      this.method3497(false);
      this.method3495(true);
      this.anIntArray2430 = null;
      this.aBool2431 = true;
   }

   public final synchronized void method3511() {
      this.method3497(false);
      this.method3495(true);
      this.anIntArray2430 = null;
      this.aBool2431 = true;
   }

   public final synchronized void method3512() {
      this.method3497(false);
      this.method3495(true);
      this.anIntArray2430 = null;
      this.aBool2431 = true;
   }

   public final synchronized void method3513() {
      this.method3497(false);
      this.method3495(true);
      this.anIntArray2430 = null;
      this.aBool2431 = true;
   }

   void method3514() throws Exception {}

   public final synchronized void method3515() {
      this.method3497(false);
      this.method3495(true);
      this.anIntArray2430 = null;
      this.aBool2431 = true;
   }

   final synchronized void method3516(boolean var1) {
      if(aClass203_2427 != null) {
         boolean var2 = true;

         for(int var3 = 0; var3 < 2; ++var3) {
            if(var1 || aClass203_2427.aClass206Array2411[var3] == this) {
               aClass203_2427.aClass206Array2411[var3] = null;
            }

            if(aClass203_2427.aClass206Array2411[var3] != null) {
               var2 = false;
            }
         }

         if(var2) {
            aClass203_2427.aBool2410 = true;

            while(aClass203_2427.aBool2412) {
               Class75.method1619(50L);
            }

            aClass203_2427 = null;
         }
      }

   }

   final synchronized void method3517(boolean var1) {
      if(aClass203_2427 != null) {
         boolean var2 = true;

         for(int var3 = 0; var3 < 2; ++var3) {
            if(var1 || aClass203_2427.aClass206Array2411[var3] == this) {
               aClass203_2427.aClass206Array2411[var3] = null;
            }

            if(aClass203_2427.aClass206Array2411[var3] != null) {
               var2 = false;
            }
         }

         if(var2) {
            aClass203_2427.aBool2410 = true;

            while(aClass203_2427.aBool2412) {
               Class75.method1619(50L);
            }

            aClass203_2427 = null;
         }
      }

   }

   final void method3518(int var1) {
      this.anInt2449 -= var1;
      if(this.anInt2449 < 0) {
         this.anInt2449 = 0;
      }

      if(this.aClass225_Sub12_2432 != null) {
         this.aClass225_Sub12_2432.method13580(var1);
      }

   }

   void method3519() throws Exception {}

   public static final Class206 method3520(Component var0, int var1, int var2) {
      if(anInt2437 == 0) {
         throw new IllegalStateException();
      } else if(var1 >= 0 && var1 < 2) {
         int var3 = var2;
         if(var2 < 256) {
            var3 = 256;
         }

         if(!aBool2428) {
            try {
               Class206_Sub1 var4 = new Class206_Sub1();
               var4.anIntArray2430 = new int[256 * (aBool2441?2:1)];
               var4.anInt2436 = var3;
               var4.method3526(var0);
               var4.anInt2435 = (var3 & -1024) + 1024;
               if(var4.anInt2435 > 16384) {
                  var4.anInt2435 = 16384;
               }

               var4.method3492(var4.anInt2435);
               if(anInt2426 > 0 && aClass203_2427 == null) {
                  aClass203_2427 = new Class203_Sub1();
                  Thread var5 = new Thread(aClass203_2427);
                  var5.setDaemon(true);
                  var5.start();
                  var5.setPriority(anInt2426);
               }

               if(aClass203_2427 != null) {
                  if(aClass203_2427.aClass206Array2411[var1] != null) {
                     throw new IllegalArgumentException();
                  }

                  aClass203_2427.aClass206Array2411[var1] = var4;
               }

               return var4;
            } catch (Throwable var6) {
               ;
            }
         }

         return new Class206();
      } else {
         throw new IllegalArgumentException();
      }
   }

   static final void method3521(Class225_Sub12 var0) {
      var0.aBool8536 = false;
      if(var0.aClass225_Sub26_8537 != null) {
         var0.aClass225_Sub26_8537.anInt8631 = 0;
      }

      for(Class225_Sub12 var1 = var0.method13566(); var1 != null; var1 = var0.method13582()) {
         method3490(var1);
      }

   }

   final void method3522(int[] var1, int var2) {
      int var3 = var2;
      if(aBool2441) {
         var3 = var2 << 1;
      }

      Arrays.fill(var1, 0, var3, 0);
      this.anInt2449 -= var2;
      if(this.aClass225_Sub12_2432 != null && this.anInt2449 <= 0) {
         this.anInt2449 += anInt2437 >> 4;
         method3490(this.aClass225_Sub12_2432);
         this.method3524(this.aClass225_Sub12_2432, this.aClass225_Sub12_2432.method13564());
         int var4 = 0;
         int var5 = 255;

         int var6;
         Class225_Sub12 var10;
         label98:
         for(var6 = 7; var5 != 0; --var6) {
            int var7;
            int var8;
            if(var6 < 0) {
               var7 = var6 & 3;
               var8 = -(var6 >> 2);
            } else {
               var7 = var6;
               var8 = 0;
            }

            for(int var9 = var5 >>> var7 & 286331153; var9 != 0; var9 >>>= 4) {
               if((var9 & 1) != 0) {
                  var5 &= ~(1 << var7);
                  var10 = null;
                  Class225_Sub12 var11 = this.aClass225_Sub12Array2450[var7];

                  while(var11 != null) {
                     Class225_Sub26 var12 = var11.aClass225_Sub26_8537;
                     if(var12 != null && var12.anInt8631 > var8) {
                        var5 |= 1 << var7;
                        var10 = var11;
                        var11 = var11.aClass225_Sub12_8535;
                     } else {
                        var11.aBool8536 = true;
                        int var13 = var11.method13567();
                        var4 += var13;
                        if(var12 != null) {
                           var12.anInt8631 += var13;
                        }

                        if(var4 >= this.anInt2442) {
                           break label98;
                        }

                        Class225_Sub12 var14 = var11.method13566();
                        if(var14 != null) {
                           for(int var15 = var11.anInt8538; var14 != null; var14 = var11.method13582()) {
                              this.method3524(var14, var15 * var14.method13564() >> 8);
                           }
                        }

                        Class225_Sub12 var18 = var11.aClass225_Sub12_8535;
                        var11.aClass225_Sub12_8535 = null;
                        if(var10 == null) {
                           this.aClass225_Sub12Array2450[var7] = var18;
                        } else {
                           var10.aClass225_Sub12_8535 = var18;
                        }

                        if(var18 == null) {
                           this.aClass225_Sub12Array2451[var7] = var10;
                        }

                        var11 = var18;
                     }
                  }
               }

               var7 += 4;
               ++var8;
            }
         }

         for(var6 = 0; var6 < 8; ++var6) {
            Class225_Sub12 var16 = this.aClass225_Sub12Array2450[var6];
            Class225_Sub12[] var17 = this.aClass225_Sub12Array2450;
            this.aClass225_Sub12Array2451[var6] = null;

            for(var17[var6] = null; var16 != null; var16 = var10) {
               var10 = var16.aClass225_Sub12_8535;
               var16.aClass225_Sub12_8535 = null;
            }
         }
      }

      if(this.anInt2449 < 0) {
         this.anInt2449 = 0;
      }

      if(this.aClass225_Sub12_2432 != null) {
         this.aClass225_Sub12_2432.method13573(var1, 0, var2);
      }

      this.aLong2434 = Class339.method6240(-1631900289);
   }

   static final void method3523(Class225_Sub12 var0) {
      var0.aBool8536 = false;
      if(var0.aClass225_Sub26_8537 != null) {
         var0.aClass225_Sub26_8537.anInt8631 = 0;
      }

      for(Class225_Sub12 var1 = var0.method13566(); var1 != null; var1 = var0.method13582()) {
         method3490(var1);
      }

   }

   final void method3524(Class225_Sub12 var1, int var2) {
      int var3 = var2 >> 5;
      Class225_Sub12 var4 = this.aClass225_Sub12Array2451[var3];
      if(var4 == null) {
         this.aClass225_Sub12Array2450[var3] = var1;
      } else {
         var4.aClass225_Sub12_8535 = var1;
      }

      this.aClass225_Sub12Array2451[var3] = var1;
      var1.anInt8538 = var2;
   }

   static final void method3525(Class225_Sub12 var0) {
      var0.aBool8536 = false;
      if(var0.aClass225_Sub26_8537 != null) {
         var0.aClass225_Sub26_8537.anInt8631 = 0;
      }

      for(Class225_Sub12 var1 = var0.method13566(); var1 != null; var1 = var0.method13582()) {
         method3490(var1);
      }

   }

   void method3526(Component var1) throws Exception {}

   final void method3527(Class225_Sub12 var1, int var2) {
      int var3 = var2 >> 5;
      Class225_Sub12 var4 = this.aClass225_Sub12Array2451[var3];
      if(var4 == null) {
         this.aClass225_Sub12Array2450[var3] = var1;
      } else {
         var4.aClass225_Sub12_8535 = var1;
      }

      this.aClass225_Sub12Array2451[var3] = var1;
      var1.anInt8538 = var2;
   }

   final void method3528(Class225_Sub12 var1, int var2) {
      int var3 = var2 >> 5;
      Class225_Sub12 var4 = this.aClass225_Sub12Array2451[var3];
      if(var4 == null) {
         this.aClass225_Sub12Array2450[var3] = var1;
      } else {
         var4.aClass225_Sub12_8535 = var1;
      }

      this.aClass225_Sub12Array2451[var3] = var1;
      var1.anInt8538 = var2;
   }

   final void method3529(int[] var1, int var2) {
      int var3 = var2;
      if(aBool2441) {
         var3 = var2 << 1;
      }

      Arrays.fill(var1, 0, var3, 0);
      this.anInt2449 -= var2;
      if(this.aClass225_Sub12_2432 != null && this.anInt2449 <= 0) {
         this.anInt2449 += anInt2437 >> 4;
         method3490(this.aClass225_Sub12_2432);
         this.method3524(this.aClass225_Sub12_2432, this.aClass225_Sub12_2432.method13564());
         int var4 = 0;
         int var5 = 255;

         int var6;
         Class225_Sub12 var10;
         label98:
         for(var6 = 7; var5 != 0; --var6) {
            int var7;
            int var8;
            if(var6 < 0) {
               var7 = var6 & 3;
               var8 = -(var6 >> 2);
            } else {
               var7 = var6;
               var8 = 0;
            }

            for(int var9 = var5 >>> var7 & 286331153; var9 != 0; var9 >>>= 4) {
               if((var9 & 1) != 0) {
                  var5 &= ~(1 << var7);
                  var10 = null;
                  Class225_Sub12 var11 = this.aClass225_Sub12Array2450[var7];

                  while(var11 != null) {
                     Class225_Sub26 var12 = var11.aClass225_Sub26_8537;
                     if(var12 != null && var12.anInt8631 > var8) {
                        var5 |= 1 << var7;
                        var10 = var11;
                        var11 = var11.aClass225_Sub12_8535;
                     } else {
                        var11.aBool8536 = true;
                        int var13 = var11.method13567();
                        var4 += var13;
                        if(var12 != null) {
                           var12.anInt8631 += var13;
                        }

                        if(var4 >= this.anInt2442) {
                           break label98;
                        }

                        Class225_Sub12 var14 = var11.method13566();
                        if(var14 != null) {
                           for(int var15 = var11.anInt8538; var14 != null; var14 = var11.method13582()) {
                              this.method3524(var14, var15 * var14.method13564() >> 8);
                           }
                        }

                        Class225_Sub12 var18 = var11.aClass225_Sub12_8535;
                        var11.aClass225_Sub12_8535 = null;
                        if(var10 == null) {
                           this.aClass225_Sub12Array2450[var7] = var18;
                        } else {
                           var10.aClass225_Sub12_8535 = var18;
                        }

                        if(var18 == null) {
                           this.aClass225_Sub12Array2451[var7] = var10;
                        }

                        var11 = var18;
                     }
                  }
               }

               var7 += 4;
               ++var8;
            }
         }

         for(var6 = 0; var6 < 8; ++var6) {
            Class225_Sub12 var16 = this.aClass225_Sub12Array2450[var6];
            Class225_Sub12[] var17 = this.aClass225_Sub12Array2450;
            this.aClass225_Sub12Array2451[var6] = null;

            for(var17[var6] = null; var16 != null; var16 = var10) {
               var10 = var16.aClass225_Sub12_8535;
               var16.aClass225_Sub12_8535 = null;
            }
         }
      }

      if(this.anInt2449 < 0) {
         this.anInt2449 = 0;
      }

      if(this.aClass225_Sub12_2432 != null) {
         this.aClass225_Sub12_2432.method13573(var1, 0, var2);
      }

      this.aLong2434 = Class339.method6240(2023913687);
   }

   void method3530(int var1) throws Exception {}

   void method3531(int var1) throws Exception {}

   int method3532() throws Exception {
      return this.anInt2435;
   }

   int method3533() throws Exception {
      return this.anInt2435;
   }

   public final synchronized void method3534() {
      this.method3497(false);
      this.method3495(true);
      this.anIntArray2430 = null;
      this.aBool2431 = true;
   }

   void method3535() throws Exception {}

   void method3536() throws Exception {}

   void method3537(boolean var1) {}

   void method3538() throws Exception {}

   public final synchronized void method3539() {
      if(!this.aBool2431) {
         long var1 = Class339.method6240(947693809);

         try {
            if(var1 > this.aLong2434 + 6000L) {
               this.aLong2434 = var1 - 6000L;
            }

            while(var1 > this.aLong2434 + 5000L) {
               this.method3506(256);
               this.aLong2434 += (long)(256000 / anInt2437);
               var1 = Class339.method6240(1082677806);
            }
         } catch (Exception var6) {
            this.aLong2434 = var1;
         }

         if(this.anIntArray2430 != null) {
            try {
               if(this.aLong2438 != 0L) {
                  if(var1 < this.aLong2438) {
                     return;
                  }

                  this.method3492(this.anInt2435);
                  this.aLong2438 = 0L;
                  this.aBool2425 = true;
               }

               int var3 = this.method3493();
               if(this.anInt2424 - var3 > this.anInt2444) {
                  this.anInt2444 = this.anInt2424 - var3;
               }

               int var4 = this.anInt2436 + this.anInt2429;
               if(var4 + 256 > 16384) {
                  var4 = 16128;
               }

               if(var4 + 256 > this.anInt2435) {
                  this.anInt2435 += 1024;
                  if(this.anInt2435 > 16384) {
                     this.anInt2435 = 16384;
                  }

                  this.method3495(false);
                  this.method3492(this.anInt2435);
                  var3 = 0;
                  this.aBool2425 = true;
                  if(var4 + 256 > this.anInt2435) {
                     var4 = this.anInt2435 - 256;
                     this.anInt2429 = var4 - this.anInt2436;
                  }
               }

               while(var3 < var4) {
                  this.method3485(this.anIntArray2430, 256);
                  this.method3494();
                  var3 += 256;
               }

               if(var1 > this.aLong2447) {
                  if(!this.aBool2425) {
                     if(this.anInt2444 == 0 && this.anInt2440 == 0) {
                        this.method3495(false);
                        this.aLong2438 = var1 + 2000L;
                        return;
                     }

                     this.anInt2429 = Math.min(this.anInt2440, this.anInt2444);
                     this.anInt2440 = this.anInt2444;
                  } else {
                     this.aBool2425 = false;
                  }

                  this.anInt2444 = 0;
                  this.aLong2447 = var1 + 2000L;
               }

               this.anInt2424 = var3;
            } catch (Exception var5) {
               this.method3495(false);
               this.aLong2438 = var1 + 2000L;
            }

         }
      }
   }

   void method3540() throws Exception {}

   void method3541() throws Exception {}

   void method3542() throws Exception {}

   void method3543() throws Exception {}
}
